package ru.yandex.webmaster3.core.link;

import java.util.NavigableMap;

import org.joda.time.LocalDate;

/**
 * @author aherman
 */
public class SimpleLinksHistory {
    private final LinkHistoryIndicatorType indicator;
    private final NavigableMap<LocalDate, Long> value;

    public SimpleLinksHistory(LinkHistoryIndicatorType indicator, NavigableMap<LocalDate, Long> value) {
        this.indicator = indicator;
        this.value = value;
    }

    public LinkHistoryIndicatorType getIndicator() {
        return indicator;
    }

    public NavigableMap<LocalDate, Long> getValue() {
        return value;
    }
}
